VERSION = 2.0.0


isEmpty(PREFIX) {
  PREFIX=/usr/local
}
  
isEmpty(SPACETIMELIBDIR) {
  SPACETIMELIBDIR=$$PREFIX/lib
}

TEMPLATE = lib dll
TARGET = Spacetime
DEPENDPATH += .
INCLUDEPATH += . .. 

QT -= gui core

DESTDIR=../../lib
CONFIG += build_all release c++11

# Input
HEADERS +=            ../Spacetime/*.h

SOURCES +=            *.cpp

target.path=$$SPACETIMELIBDIR
INSTALLS += target

headers.path=$$PREFIX/include/Spacetime
headers.files= ../Spacetime/*h ../Spacetime/*.icc
INSTALLS += headers

pc.path  = $$SPACETIMELIBDIR/pkgconfig
mac {
  pc.files = ../pkgconfig/mac/*.pc
}
linux {
  pc.files = ../pkgconfig/linux/*.pc
}
INSTALLS += pc

CONFIG += link_pkgconfig
PKGCONFIG += eigen3

